mc.cores.openmp {BART} | R Documentation

## Detecting OpenMP

### Description

This package was designed for OpenMP. For example, the `pwbart` function can use OpenMP or the parallel R package for multi-threading. On UNIX/Unix-like systems, OpenMP, if available, is discovered at install time; for the details, see the `configure.ac` file which can be found in the source version of this package. However, we know of no GPL licensed code available to detect OpenMP on Windows (for Artistic licensed OpenMP detection code on Windows, see the Bioconductor R package rGADEM). To determine whether OpenMP is available at run time, we provide the function documented here.

### Usage

    mc.cores.openmp()

### Value

Returns a zero when OpenMP is not available, otherwise, an integer greater than zero when OpenMP is available (returns one unless you are running in a multi-threaded process).

### Author(s)

Robert McCulloch: robert.e.mcculloch@gmail.com,
Rodney Sparapani: rsparapa@mcw.edu.

### See Also

`pwbart`

### Examples

    mc.cores.openmp()

[Package BART version 2.5 Index]